VelocityReport Plugin - Defect #249

Files left open
03/18/2011 09:55 AM - Patrick Ruhsert

Status: Closed Start date: 03/18/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

Hi, when testing templates | edit the HTML and want to test the result. Quite often, | get a file access violation. It seems that html files
are left open?

History

#1 - 03/18/2011 12:47 PM - Patrick Talbot

They shouldn't be left open (unless there is a crash of Servoy).
Will double-check my use of finally on all file stream opened.
Thanks.

#2 - 03/18/2011 03:55 PM - Patrick Talbot

- Status changed from New to Closed

Fixed inv1.4.7

#3 - 03/21/2011 10:32 AM - Patrick Ruhsert

hm. | still have this issue. All | do is use a template test.html and show it in the viewer using the sample solution. Every once in a while | am not able
to edit/save my test.html.

#4 - 03/21/2011 12:55 PM - Patrick Talbot

There must be another place in Velocity where the template is not released because | only open it in one place and | made sure to have a finally
clause with a close() on the reader... Will have another look
